org.jgroups.protocols

## Class FlowControl.Credit

- java.lang.Object
- - org.jgroups.protocols.FlowControl.Credit

Enclosing class:
  FlowControl

    protected class FlowControl.Credit
    extends java.lang.Object

### Field Summary

Fields
`protected long` `credits_left`
`protected long` `last_credit_request`
`protected int` `num_blockings`
`protected long` `total_blocking_time`

### Constructor Summary

Constructors
`protected` `FlowControl.Credit(long credits)`

### Method Summary

Methods
`protected boolean` `decrement(long credits)`
`protected long` `decrementAndGet(long credits)`
`protected boolean` `decrementIfEnoughCredits(long credits, long timeout)`
`protected long` `get()`
`protected int` `getNumBlockings()`
`protected long` `getTotalBlockingTime()`
`protected void` `increment(long credits)`
`protected boolean` `needToSendCreditRequest()`
`protected void` `set(long new_credits)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### credits_left

    protected long credits_left

#### num_blockings

    protected int num_blockings

#### total_blocking_time

    protected long total_blocking_time

#### last_credit_request

    protected long last_credit_request

### Constructor Detail

#### FlowControl.Credit

    protected FlowControl.Credit(long credits)

### Method Detail

#### decrementIfEnoughCredits

    protected boolean decrementIfEnoughCredits(long credits,
                                   long timeout)

#### decrement

    protected boolean decrement(long credits)

#### decrementAndGet

    protected long decrementAndGet(long credits)

#### increment

    protected void increment(long credits)

#### needToSendCreditRequest

    protected boolean needToSendCreditRequest()

#### getNumBlockings

    protected int getNumBlockings()

#### getTotalBlockingTime

    protected long getTotalBlockingTime()

#### get

    protected long get()

#### set

    protected void set(long new_credits)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`